package main

import (
	"os"
	"strings"
	"testing"

	"github.com/stretchr/testify/assert"
)

func Test(t *testing.T) {
	inputBytes, _ := os.ReadFile("test.txt")
	inputs := strings.Split(string(inputBytes), "\n")

	assert.Equal(t, 4512, puzzle1(inputs))
	assert.Equal(t, 1924, puzzle2(inputs))
}
